### Constructor

# Dex Future new_take_object

#### Declaration [src]

    DexFuture*
    dex_future_new_take_object (
      GObject* value
    )

#### Description [src]

Creates a new `DexFuture` that is resolved with `value`.

#### Parameters

`value`

  Type: `GObject`

  The value.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `DexFuture`

A resolved `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.